import request from '@/utils/request'
// 获取专家列表
export function expertList(params) {
  return request({
    url: "/business/casExpert/list",
    method: "get",
    params
  });
}

// 新镇专家接口
export const companyAdd = (data) => request({
  url: "/business/casExpert",
  method: 'post',
  data
})

// 专家详情接口
export const companyDetail = (id) => request({
  url: `/business/casExpert/${id}`,
  method: 'get',
})

// 修改专家详情
export const companyEdit = (data) => request({
  url: '/business/casExpert',
  method: 'put',
  data
})

// 专家分配账号
export function allocateAccount(data) {
  return request({
    url: '/business/casExpert/allocateAccount',
    method: 'post',
    data,
  })
}