import request from "@/utils/request";

// 企业服务需求列表
export const listCasDemand = (params) =>
    request({
        url: "/business/dataReview/listCasDemand/list",
        method: "GET",
        params,
    });

// 企业服务需求详情
export const getCasDemandInfo = (id) =>
    request({
        url: `/business/dataReview/getCasDemandInfo/${id}`,
        method: "GET",
    });

// 修改企业服务需求
export const updateCasDemand = (data) =>
    request({
        url: `/business/dataReview/updateCasDemand`,
        method: "PUT",
        data,
    });
